<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<Application>

  <Header>
    <Version val="10001"/>
    <WithIsn val="Y"/>
    <_InternalTask val="N"/>
    <IsRoot val="N"/>
    <InIndex val="N"/>
  </Header>

  <ProgramsRepository>
    <Programs>
      <Task MainProgram="N">
        <Header Description="パスワード変更更新" ISN_2="1" LastIsn="2" id="24">
          <Comment val="2010/02/26 プログラム(結果送信)の呼出パラメータの数が合っていない対応"/>
          <Public val="CM0030U"/>
          <ExecutionRight comp="-1"/>
          <Resident val="N"/>
          <SQL val="N"/>
          <ReturnValue>
            <TSK_PARAMS val="3"/>
            <ParametersCount val="3"/>
            <ParametersAttributes ParametersAttributes="AAO"/>
          </ReturnValue>
          <SqlWhereExist val="N"/>
          <TaskType val="B"/>
          <External val="Y"/>
          <LastModified _date="733829" _time="37318" date="2010/02/26" time="10:21:58"/>
        </Header>
        <ItemIsn val="10"/>
        <Resource>
          <Columns>
            <Column id="1" name="P.SSID">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA" comp="-1" obj="1"/>
                <DbColumnName/>
                <Type/>
                <UserType/>
              </PropertyList>
            </Column>
            <Column id="15" name="P.処理区分">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA"/>
                <Picture valUnicode="10"/>
                <StoredAs val="1"/>
                <Size val="10"/>
                <_Flip/>
              </PropertyList>
            </Column>
            <Column id="2" name="P.更新内容">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_BLOB"/>
                <Size val="28"/>
                <Definition val="1"/>
                <_FieldStyle val="1"/>
              </PropertyList>
            </Column>
            <Column id="4" name="W.セッション有効">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_LOGICAL"/>
                <_FieldStyle val="1"/>
              </PropertyList>
            </Column>
            <Column id="5" name="W.ログインID">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA" comp="-1" obj="6"/>
                <StoredAs val="1"/>
                <DbColumnName/>
                <Type/>
                <UserType/>
              </PropertyList>
            </Column>
            <Column id="7" name="W.ユーザID">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA" comp="-1" obj="7"/>
                <DbColumnName/>
                <Type/>
                <UserType/>
              </PropertyList>
            </Column>
            <Column id="11" name="W.結果区分">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA" comp="-1" obj="3"/>
                <StoredAs val="1"/>
                <DbColumnName/>
                <Type/>
                <UserType/>
              </PropertyList>
            </Column>
            <Column id="16" name="W.結果メッセージ">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA" comp="-1" obj="4"/>
                <StoredAs val="1"/>
                <DbColumnName/>
                <Type/>
                <UserType/>
              </PropertyList>
            </Column>
            <Column id="17" name="W.プログラムID">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA" comp="-1" obj="5"/>
                <StoredAs val="1"/>
                <DbColumnName/>
                <Type/>
                <UserType/>
              </PropertyList>
            </Column>
            <Column id="10" name="W.入力ファイル名">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA"/>
                <Picture valUnicode="256"/>
                <StoredAs val="1"/>
                <Size val="256"/>
                <_Flip/>
              </PropertyList>
            </Column>
          </Columns>
          <ColumnsLastIsn val="17"/>
        </Resource>
        <Information>
          <Key>
            <Mode val="N"/>
          </Key>
          <DB comp="-1"/>
          <Sort>
            <CLS val="A"/>
          </Sort>
          <ForceRecordDelete DEL="N"/>
          <EndTaskCondition val="Y"/>
          <EvaluateEndCondition val="A"/>
          <InitialMode val="M"/>
          <Locate Direction="A"/>
          <Range Direction="A"/>
          <VarRange/>
          <TaskProperties>
            <SelectionTable val="N"/>
            <ConfirmUpdate CNFU="N"/>
            <ConfirmCancel val="N"/>
            <ErrorStrategy val="A"/>
            <LockingStrategy val="I"/>
            <CacheStrategy val="T"/>
            <ForceRecordSuffix val="N"/>
            <TransactionMode val="P"/>
            <TransactionBegin val="T"/>
            <PreloadView val="N"/>
            <AllowEmptyDataview val="Y"/>
            <KeepCreatedContext val="N"/>
          </TaskProperties>
          <SIDE_WIN>
            <AllowOptions val="N"/>
            <AllowQuery val="Y"/>
            <AllowModify val="Y"/>
            <AllowCreate val="Y"/>
            <AllowDelete val="Y"/>
            <AllowLocate val="Y"/>
            <AllowRange val="Y"/>
            <AllowIndexChange val="Y"/>
            <AllowSorting val="Y"/>
            <AllowIOFiles val="Y"/>
            <RecordCycle val="Y"/>
            <AllowEvents val="Y"/>
            <AllowIndexOptimization val="Y"/>
            <AllowLocationInQuery val="Y"/>
            <AllowPrintingData val="N"/>
          </SIDE_WIN>
          <WIN>
            <OpenTaskWindow val="N"/>
            <CloseTaskWindow val="Y"/>
            <ForegroundWindow val="Y"/>
            <FlipFld val="N"/>
            <RefreshTaskWindow ReturnValue="N"/>
          </WIN>
          <BOX>
            <Direction val="V"/>
          </BOX>
        </Information>
        <TaskLogic>
          <LogicUnit id="2" propagate="78">
            <Level val="R"/>
            <Type val="M"/>
            <_DspTemplate val="0"/>
            <_HeaderPosition val="1"/>
            <Scope val="S"/>
            <EngineDirective val="S"/>
            <ShowMessage val="Y"/>
            <Condition val="89"/>
            <_TotalVariabls val="10"/>
            <_TotalVirtuals val="10"/>
            <PRM_LEN val="3"/>
            <Event>
              <EventType val="S"/>
              <PublicObject comp="-1"/>
            </Event>
            <LogicLines>
              <LogicLine>
                <DATAVIEW_SRC FlowIsn="2" Type="M">
                  <Condition val="N"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </DATAVIEW_SRC>
              </LogicLine>
              <LogicLine>
                <Select FieldID="1" FlowIsn="3" id="1">
                  <Column val="1"/>
                  <Type val="V"/>
                  <IsParameter val="Y"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="2" FlowIsn="4" id="2">
                  <Column val="2"/>
                  <Type val="V"/>
                  <IsParameter val="Y"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="3" FlowIsn="5" id="3">
                  <Column val="3"/>
                  <Type val="V"/>
                  <IsParameter val="Y"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="6">
                  <Type val="0"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Select FieldID="4" FlowIsn="7" id="4">
                  <Column val="4"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="5" FlowIsn="8" id="5">
                  <Column val="5"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="6" FlowIsn="9" id="6">
                  <Column val="6"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="7" FlowIsn="10" id="7">
                  <Column val="7"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="8" FlowIsn="11" id="8">
                  <Column val="8"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="9" FlowIsn="12" id="9">
                  <ASS val="2"/>
                  <Column val="9"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="10" FlowIsn="13" id="10">
                  <Column val="10"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
            </LogicLines>
          </LogicUnit>
          <LogicUnit id="3" propagate="78">
            <Level val="R"/>
            <Type val="S"/>
            <_DspTemplate val="0"/>
            <_HeaderPosition val="2"/>
            <Scope val="S"/>
            <EngineDirective val="S"/>
            <ShowMessage val="Y"/>
            <Condition val="89"/>
            <Event>
              <EventType val="S"/>
              <PublicObject comp="-1"/>
            </Event>
            <Expanded val="1"/>
            <LogicLines>
              <LogicLine>
                <CallTask FlowIsn="14">
                  <OperationType val="P"/>
                  <TaskID comp="-1" obj="5"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="1"/>
                      <Variable val="1"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="2"/>
                      <Variable val="4"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="3"/>
                      <Variable val="5"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="4"/>
                      <Variable val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="5"/>
                      <Variable val="7"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="6"/>
                      <Skip val="Y"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </CallTask>
              </LogicLine>
              <LogicLine>
                <CallTask FlowIsn="15">
                  <OperationType val="P"/>
                  <TaskID comp="-1" obj="4"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="7"/>
                      <Variable val="1"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="8"/>
                      <Variable val="5"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="9"/>
                      <Variable val="9"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="10"/>
                      <Skip val="Y"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </CallTask>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="16">
                  <Type val="2"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <BLOCK EndBlock="20" EndBlockSegment="20" FlowIsn="17" Type="I">
                  <Condition Exp="1"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </BLOCK>
              </LogicLine>
              <LogicLine>
                <CallTask FlowIsn="18">
                  <OperationType val="P"/>
                  <TaskID comp="-1" obj="6"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="11"/>
                      <Variable val="1"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="12"/>
                      <Variable val="3"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="13"/>
                      <Variable val="10"/>
                      <Skip val="N"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </CallTask>
              </LogicLine>
              <LogicLine>
                <CallTask FlowIsn="19">
                  <OperationType val="T"/>
                  <TaskID comp="-1" obj="2"/>
                  <Lock val="N"/>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </CallTask>
              </LogicLine>
              <LogicLine>
                <CallTask FlowIsn="20">
                  <OperationType val="P"/>
                  <TaskID comp="-1" obj="7"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="14"/>
                      <Variable val="10"/>
                      <Skip val="N"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </CallTask>
              </LogicLine>
              <LogicLine>
                <END_BLK FlowIsn="21"/>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="22">
                  <Type val="2"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <CallTask FlowIsn="23">
                  <OperationType val="P"/>
                  <TaskID comp="-1" obj="17"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="15"/>
                      <Variable val="1"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="16"/>
                      <Variable val="7"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="17"/>
                      <Variable val="8"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="18"/>
                      <Skip val="Y"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </CallTask>
              </LogicLine>
            </LogicLines>
          </LogicUnit>
        </TaskLogic>
        <TaskForms>
          <FormEntry id="2">
            <PropertyList model="FORM_GUI0">
              <_Comment/>
              <FormName valUnicode="パスワード変更更新"/>
              <UserStateIdentifier/>
            </PropertyList>
          </FormEntry>
        </TaskForms>
        <Expressions>
          <Expression id="1">
            <ExpSyntax val="{0,4}"/>
            <ExpAttribute val="B"/>
          </Expression>
          <Expression id="2">
            <ExpSyntax val="PublicName(0)"/>
            <ExpAttribute val="A"/>
          </Expression>
        </Expressions>
        <Task MainProgram="N">
          <Header Description="パスワード変更" ISN_2="2" LastIsn="2" id="24">
            <ExecutionRight comp="-1"/>
            <Resident val="N"/>
            <SQL val="N"/>
            <ReturnValue>
              <ParametersAttributes/>
            </ReturnValue>
            <SqlWhereExist val="N"/>
            <TaskType val="B"/>
            <External val="N"/>
            <FormType val="N"/>
            <LastModified _date="733503" _time="34187" date="2009/04/06" time="09:29:47"/>
          </Header>
          <ItemIsn val="12"/>
          <Resource>
            <DB>
              <DataObject comp="-1" obj="3"/>
              <Access val="W"/>
              <Share val="W"/>
              <Open val="N"/>
              <Cache val="N"/>
              <IdentifyRowModifications val="84"/>
            </DB>
            <DB>
              <DataObject comp="-1" obj="11"/>
              <Exp val="1"/>
              <Access val="W"/>
              <Share val="R"/>
              <Open val="N"/>
              <Cache val="Y"/>
              <IdentifyRowModifications val="84"/>
            </DB>
            <Columns>
              <Column id="6" name="R.ユーザ">
                <PropertyList model="FIELD">
                  <Model attr_obj="FIELD_LOGICAL"/>
                  <_FieldStyle val="1"/>
                </PropertyList>
              </Column>
            </Columns>
            <ColumnsLastIsn val="6"/>
          </Resource>
          <Information>
            <Key>
              <Mode val="N"/>
            </Key>
            <DB comp="-1"/>
            <Sort>
              <CLS val="A"/>
            </Sort>
            <ForceRecordDelete DEL="N"/>
            <EndTaskCondition val="Y"/>
            <EvaluateEndCondition val="A"/>
            <InitialMode val="M"/>
            <Locate Direction="A"/>
            <Range Direction="A"/>
            <VarRange/>
            <TaskProperties>
              <SelectionTable val="N"/>
              <ConfirmUpdate CNFU="N"/>
              <ConfirmCancel val="N"/>
              <ErrorStrategy val="A"/>
              <LockingStrategy val="I"/>
              <CacheStrategy val="N"/>
              <ForceRecordSuffix val="N"/>
              <TransactionMode val="W"/>
              <TransactionBegin val="T"/>
              <PreloadView val="N"/>
              <AllowEmptyDataview val="N"/>
              <KeepCreatedContext val="N"/>
            </TaskProperties>
            <SIDE_WIN>
              <AllowOptions val="N"/>
              <AllowQuery val="Y"/>
              <AllowModify val="Y"/>
              <AllowCreate val="Y"/>
              <AllowDelete val="Y"/>
              <AllowLocate val="Y"/>
              <AllowRange val="Y"/>
              <AllowIndexChange val="Y"/>
              <AllowSorting val="Y"/>
              <AllowIOFiles val="Y"/>
              <RecordCycle val="Y"/>
              <AllowEvents val="Y"/>
              <AllowIndexOptimization val="Y"/>
              <AllowLocationInQuery val="Y"/>
              <AllowPrintingData val="N"/>
            </SIDE_WIN>
            <WIN>
              <OpenTaskWindow val="N"/>
              <CloseTaskWindow val="Y"/>
              <ForegroundWindow val="Y"/>
              <FlipFld val="N"/>
              <RefreshTaskWindow ReturnValue="N"/>
            </WIN>
            <BOX>
              <Direction val="V"/>
            </BOX>
          </Information>
          <TaskLogic>
            <LogicUnit id="2" propagate="78">
              <Level val="R"/>
              <Type val="M"/>
              <_DspTemplate val="0"/>
              <_HeaderPosition val="1"/>
              <Scope val="S"/>
              <EngineDirective val="S"/>
              <ShowMessage val="Y"/>
              <Condition val="89"/>
              <_TotalVariabls val="12"/>
              <_TotalVirtuals val="1"/>
              <Event>
                <EventType val="S"/>
                <PublicObject comp="-1"/>
              </Event>
              <LogicLines>
                <LogicLine>
                  <DATAVIEW_SRC FlowIsn="2" Type="M">
                    <Condition val="N"/>
                    <Modifier val="B"/>
                    <Direction val="C"/>
                  </DATAVIEW_SRC>
                </LogicLine>
                <LogicLine>
                  <Remark FlowIsn="3">
                    <Type val="0"/>
                    <Text val=" "/>
                  </Remark>
                </LogicLine>
                <LogicLine>
                  <LNK Direction="A" EVL_CND="R" FlowIsn="4" Mode="R" SortType="9" VIEW="1" VIEWS="5">
                    <DB comp="-1" obj="11"/>
                    <Expanded val="1"/>
                    <Condition val="Y"/>
                  </LNK>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="1" FlowIsn="5" id="1">
                    <Column val="8"/>
                    <Type val="R"/>
                    <IsParameter val="N"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="N"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="2" FlowIsn="6" id="2">
                    <Column val="9"/>
                    <Type val="R"/>
                    <IsParameter val="N"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="N"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="3" FlowIsn="7" id="3">
                    <Column val="10"/>
                    <Type val="R"/>
                    <IsParameter val="N"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="N"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="4" FlowIsn="8" id="4">
                    <Column val="11"/>
                    <Type val="R"/>
                    <IsParameter val="N"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="N"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="5" FlowIsn="9" id="5">
                    <Column val="12"/>
                    <Type val="R"/>
                    <IsParameter val="N"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="N"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <END_LINK FlowIsn="10"/>
                </LogicLine>
                <LogicLine>
                  <Remark FlowIsn="11">
                    <Type val="0"/>
                    <Text val=" "/>
                  </Remark>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="6" FlowIsn="12" id="6">
                    <Column val="1"/>
                    <Type val="V"/>
                    <IsParameter val="N"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="Y"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <LNK Direction="A" EVL_CND="R" FieldID="6" FlowIsn="13" Key="2" Mode="R" SortType="19" VIEW="7" VIEWS="6">
                    <DB comp="-1" obj="3"/>
                    <Expanded val="1"/>
                    <Condition val="Y"/>
                  </LNK>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="7" FlowIsn="14" id="7">
                    <Column val="2"/>
                    <Type val="R"/>
                    <IsParameter val="N"/>
                    <Locate MAX="5" MIN="5"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="N"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="8" FlowIsn="15" id="8">
                    <Column val="12"/>
                    <Type val="R"/>
                    <IsParameter val="N"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="N"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="9" FlowIsn="16" id="9">
                    <Column val="49"/>
                    <Type val="R"/>
                    <IsParameter val="N"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="N"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="10" FlowIsn="17" id="10">
                    <Column val="50"/>
                    <Type val="R"/>
                    <IsParameter val="N"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="N"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="11" FlowIsn="18" id="11">
                    <Column val="51"/>
                    <Type val="R"/>
                    <IsParameter val="N"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="N"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="12" FlowIsn="19" id="12">
                    <Column val="52"/>
                    <Type val="R"/>
                    <IsParameter val="N"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="N"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <END_LINK FlowIsn="20"/>
                </LogicLine>
              </LogicLines>
            </LogicUnit>
            <LogicUnit id="3" propagate="78">
              <Level val="R"/>
              <Type val="S"/>
              <_DspTemplate val="0"/>
              <_HeaderPosition val="35"/>
              <Scope val="S"/>
              <EngineDirective val="S"/>
              <ShowMessage val="Y"/>
              <Condition val="89"/>
              <Event>
                <EventType val="S"/>
                <PublicObject comp="-1"/>
              </Event>
              <Expanded val="1"/>
              <LogicLines>
                <LogicLine>
                  <Update FlowIsn="21">
                    <Parent val="1"/>
                    <FieldID val="7"/>
                    <WithValue val="7"/>
                    <Incremental val="N"/>
                    <ForcedUpdate val="Y"/>
                    <Condition Exp="8"/>
                    <Modifier val="B"/>
                    <Direction val="C"/>
                  </Update>
                </LogicLine>
                <LogicLine>
                  <Update FlowIsn="22">
                    <Parent val="1"/>
                    <FieldID val="7"/>
                    <WithValue val="11"/>
                    <Incremental val="N"/>
                    <ForcedUpdate val="Y"/>
                    <Condition Exp="12"/>
                    <Modifier val="B"/>
                    <Direction val="C"/>
                  </Update>
                </LogicLine>
                <LogicLine>
                  <Remark FlowIsn="23">
                    <Type val="2"/>
                    <Text val=" "/>
                  </Remark>
                </LogicLine>
                <LogicLine>
                  <BLOCK EndBlock="30" EndBlockSegment="30" FlowIsn="24" Type="I">
                    <Condition Exp="10"/>
                    <Modifier val="B"/>
                    <Direction val="C"/>
                  </BLOCK>
                </LogicLine>
                <LogicLine>
                  <Update FlowIsn="25">
                    <FieldID val="8"/>
                    <WithValue val="6"/>
                    <Incremental val="N"/>
                    <ForcedUpdate val="Y"/>
                    <Condition val="Y"/>
                    <Modifier val="B"/>
                    <Direction val="C"/>
                  </Update>
                </LogicLine>
                <LogicLine>
                  <Update FlowIsn="26">
                    <FieldID val="9"/>
                    <WithValue val="2"/>
                    <Incremental val="N"/>
                    <ForcedUpdate val="Y"/>
                    <Condition val="Y"/>
                    <Modifier val="B"/>
                    <Direction val="C"/>
                  </Update>
                </LogicLine>
                <LogicLine>
                  <Update FlowIsn="27">
                    <FieldID val="10"/>
                    <WithValue val="3"/>
                    <Incremental val="N"/>
                    <ForcedUpdate val="Y"/>
                    <Condition val="Y"/>
                    <Modifier val="B"/>
                    <Direction val="C"/>
                  </Update>
                </LogicLine>
                <LogicLine>
                  <Update FlowIsn="28">
                    <FieldID val="11"/>
                    <WithValue val="4"/>
                    <Incremental val="N"/>
                    <ForcedUpdate val="Y"/>
                    <Condition val="Y"/>
                    <Modifier val="B"/>
                    <Direction val="C"/>
                  </Update>
                </LogicLine>
                <LogicLine>
                  <Remark FlowIsn="29">
                    <Type val="2"/>
                    <Text val=" "/>
                  </Remark>
                </LogicLine>
                <LogicLine>
                  <Update FlowIsn="30">
                    <Parent val="1"/>
                    <FieldID val="7"/>
                    <WithValue val="9"/>
                    <Incremental val="N"/>
                    <ForcedUpdate val="Y"/>
                    <Condition val="Y"/>
                    <Modifier val="B"/>
                    <Direction val="C"/>
                  </Update>
                </LogicLine>
                <LogicLine>
                  <END_BLK FlowIsn="31"/>
                </LogicLine>
              </LogicLines>
            </LogicUnit>
          </TaskLogic>
          <TaskForms>
            <FormEntry id="2">
              <PropertyList model="FORM_GUI0">
                <_Comment/>
                <FormName/>
                <UserStateIdentifier/>
              </PropertyList>
            </FormEntry>
          </TaskForms>
          <Expressions>
            <Expression id="1">
              <ExpSyntax val="Trim({1,10})"/>
              <ExpAttribute val="A"/>
            </Expression>
            <Expression id="2">
              <ExpSyntax val="Date()"/>
              <ExpAttribute val="D"/>
            </Expression>
            <Expression id="3">
              <ExpSyntax val="Time()"/>
              <ExpAttribute val="T"/>
            </Expression>
            <Expression id="4">
              <ExpSyntax val="{1,5}"/>
              <ExpAttribute val="A"/>
            </Expression>
            <Expression id="5">
              <ExpSyntax val="{1,5}"/>
              <ExpAttribute val="A"/>
            </Expression>
            <Expression id="6">
              <ExpSyntax val="{0,2}"/>
              <ExpAttribute val="A"/>
            </Expression>
            <Expression id="7">
              <ExpSyntax val="'R001'"/>
              <ExpAttribute val="A"/>
            </Expression>
            <Expression id="8">
              <ExpSyntax val="{1,7}='' AND NOT({0,4}={0,9} AND {0,5}={0,10})"/>
              <ExpAttribute val="B"/>
            </Expression>
            <Expression id="9">
              <ExpSyntax val="'I001'"/>
              <ExpAttribute val="A"/>
            </Expression>
            <Expression id="10">
              <ExpSyntax val="{1,7}=''"/>
              <ExpAttribute val="B"/>
            </Expression>
            <Expression id="11">
              <ExpSyntax val="'L002'"/>
              <ExpAttribute val="A"/>
            </Expression>
            <Expression id="12">
              <ExpSyntax val="{1,7}='' AND {0,1}&lt;>{0,8}"/>
              <ExpAttribute val="B"/>
            </Expression>
          </Expressions>
        </Task>
      </Task>
    </Programs>
  </ProgramsRepository>

</Application>
